com.independentsoft.exchange

## Enum FreeBusyViewType

- java.lang.Object
- - java.lang.Enum<FreeBusyViewType>
  - - com.independentsoft.exchange.FreeBusyViewType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FreeBusyViewType>

      public enum FreeBusyViewType
      extends java.lang.Enum<FreeBusyViewType>

  Represents the type of free/busy information returned in the response.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DETAILED` Represents the legacy status information: free, busy, tentative, and OOF; the start/end times of the appointments; and various properties of the appointment such as subject, location, and importance.
    `DETAILED_MERGED` Represents all the properties in Detailed with a stream of merged free/busy availability information.
    `FREE_BUSY` Represents the legacy status information: free, busy, tentative, and OOF.
    `FREE_BUSY_MERGED` Represents all the properties in FreeBusy with a stream of merged free/busy availability information.
    `MERGED_ONLY` Represents an aggregated free/busy stream.
    `NONE` This value is not valid for requests.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FreeBusyViewType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FreeBusyViewType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final FreeBusyViewType NONE

      This value is not valid for requests. This value is valid for responses.

    - #### MERGED_ONLY

          public static final FreeBusyViewType MERGED_ONLY

      Represents an aggregated free/busy stream. In cross-forest scenarios in which the target user in one forest does not have an Availability service configured, the Availability service of the requestor retrieves the target user's free/busy information from the free/busy public folder. Because public folders only store free/busy information in merged form, MergedOnly is the only available information.

    - #### FREE_BUSY

          public static final FreeBusyViewType FREE_BUSY

      Represents the legacy status information: free, busy, tentative, and OOF. This also includes the start/end times of the appointments. This view is richer than the legacy free/busy view because individual meeting start and end times are provided instead of an aggregated free/busy stream.

    - #### FREE_BUSY_MERGED

          public static final FreeBusyViewType FREE_BUSY_MERGED

      Represents all the properties in FreeBusy with a stream of merged free/busy availability information.

    - #### DETAILED

          public static final FreeBusyViewType DETAILED

      Represents the legacy status information: free, busy, tentative, and OOF; the start/end times of the appointments; and various properties of the appointment such as subject, location, and importance.

    - #### DETAILED_MERGED

          public static final FreeBusyViewType DETAILED_MERGED

      Represents all the properties in Detailed with a stream of merged free/busy availability information.

  - ### Method Detail

    - #### values

          public static FreeBusyViewType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FreeBusyViewType c : FreeBusyViewType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FreeBusyViewType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null